//Создание задачи диспетчерского вызова прочих задач
function [isAvailableExecPoint]=AskExecPoints(CommandPoint..//Имя точки обмена сообщениями
                                              )
    //Анализируем аргументы
    nArg = argn(2);
    if nArg < 1 then
        error('The function AskExecPoints takes 1 or 2 arguments');
    elseif nArg == 1 then
        AskTime = 0;
    end
    
    //Получаем имя точки запуска
    CommandPoints = GetCommandPoints();//Получаем точки обмена сообщениями и точки запуска
    CommandPointsExec = CommandPoints(2,:);//Получаем точки запуска
    CommandPointsExecAskTimes = CommandPoints(3,:);//Получаем времена опроса точек запуска
    CommandPoints = CommandPoints(1,:);//Получаем точки обмена сообщениями
    CommandPointExec = CommandPointsExec(CommandPoints == CommandPoint);//Точка обмена сообщениями
    CommandPointExecAskTime = CommandPointsExecAskTimes(CommandPoints == CommandPoint);//Время опроса точки запуска
    CommandPointExecAskTime = evstr(CommandPointExecAskTime);//Переводим строку в число
    
    //Опрашиваем точку запуска
    PathToExecPoints = GetPathToExecPoints();//Получаем полное имя пути к точкам запуска
    fullCommandPointExec = fullfile(PathToExecPoints,CommandPointExec,'Response');//Полное имя точки запуска
    mputl('1',fullCommandPointExec);//делаем запрос
    sleep(CommandPointExecAskTime,'s');//Ждем ответ
    isAvailableExecPoint = evstr(mgetl(fullCommandPointExec)(1));//Получаем ответ в числовом виде
    isAvailableExecPoint = (isAvailableExecPoint == 0);//Получаем ответ в логическом виде
endfunction
